1. Recipient
RemitPro - API International Remittance
  • Getting Strated Guide
    • 1. Overview
    • 2. High Level Flow
    • 3. Supported Corridors
    • 4. Authorization & Scope
    • 5. Handle Error
    • 6. Signature
    • 7. API Host
    • 8. Pre-Integration Steps
    • 9. Doc Change Log
  • API Reference (V1)
    • Authentication
      • Generate Token
        POST
      • Refresh Token
        POST
    • Master Data
      • Onboarding
        • Overview
        • Id Type Personal
        • Id Types Business
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Document Types Personal
        • Document Types Business
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Purpose Account
        • Salutation
        • User Position
        • Phone Prefix
        • Monthly Income
      • Area
        • Overview
        • Countries
        • Countries by Id
        • States
        • States by Id
        • City
        • City by Id
        • District
        • District by Id
        • Sub District
        • Sub District by Id
      • Transaction
        • Overview
        • Bank
        • Bank Branch
        • Bank Account Type
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Identity Types
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Phone Prefix
        • Purpose of Payment
        • Recipient of Relationship
        • Source of Income
        • User Position
        • Work Status
    • Payout Cross Border
      • Sender
        • Overview
        • Business
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
        • Personal
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
      • Recipient
        • Overview
        • Business
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
        • Personal
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
      • Quotes
        • Enquire Quotes
        • Quote List
        • Quote Detail
      • Transaction
        • Create Transaction
        • Transaction Status
        • Transaction List
        • Transaction Detail
    • Onbording Member
      • Overview
      • Business
        • Get Business Document
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
      • Personal
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
    • Wallet
      • Overview
      • Own Wallet
      • Wallet Member List
      • Wallet Member Detail
      • Get Own Wallet Histories
      • Get Member Wallet Histories
    • Virtual Account
      • Create Virtual Account
      • Virtual Account List
      • Virtual Account Detail
      • Top Up Simulation
    • Webhook
      • Overview
      • Webhook Category
      • Webhook URL Submission
      • Get Webhook URL List
      • Update
      • Deactive
  1. Recipient

Overview

Recipient endpoints also require several IDs obtained from Master Transaction and Master Area.
It is also highly recommended that developers perform a mapping process by duplicating the relevant RemitPro master data endpoints, so that the integration process runs more efficiently — as all required master data are already stored within the Partner’s database.
List of Related Master Data:
1.
Get Recipient Form /api/v1/partner/payouts/remittances/recipients/businesses/forms/{recipient_country_code}
2.
Get Countries /api/v1/partner/master/general/countries
3.
Countries by Id /api/v1/partner/master/general/countries/{country_id}
4.
Get State /api/v1/partner/master/area/state/idn
5.
Get State by ID /api/v1/partner/master/area/state/idn/{state_id}
6.
Get City /api/v1/partner/master/area/city/idn/{state_id}
7.
Get City by ID /api/v1/partner/master/area/city/idn/{state_id}/{city_id}
8.
Get District /api/v1/partner/master/area/district/idn/{state_id}/{city_id}
9.
Get District by ID /api/v1/partner/master/area/district/idn/{state_id}/{city_id}/{district_id}
10.
Get Sub District /api/v1/partner/master/area/sub-district/idn/{state_id}/{city_id}/{distict_id}
11.
Get Sub District /api/v1/partner/master/area/sub-district/idn/{state_id}/{city_id}/{distict_id}
12.
Get Sub District by ID /api/v1/partner/master/area/sub-district/idn/{state_id}/{city_id}/{distict_id}/{sub_district_id}
13.
Get Bank Branch /api/v1/partner/master/remittance/bank-branches/{bank_id}
14.
Get Bank /api/v1/partner/master/remittance/banks
15.
Get Identity Types /api/v1/partner/master/remittance/id-types
16.
Get Purpose of Payment /api/v1/partner/master/remittance/purpose-of-payments
17.
Get Recipient of Relationship /api/v1/partner/master/remittance/recipient-relationships
18.
Get Business Entity /api/v1/partner/master/remittance/business-entities
19.
Get Business Classification /api/v1/partner/master/remittance/business-classifications
20.
Get Nature of Business /api/v1/partner/master/remittance/nature-of-businesses
21.
Get Business Industry /api/v1/partner/master/remittance/business-industries

Deactivate Recipient/Reactivate Recipient/ Get Recipient Detail/Get Recipient History#

Recipient ID is sent through the path parameter.
Recipient ID result from the 200 (Success) response of the Create Recipient endpoint.
/api/v1/partner/payouts/remittances/recipients/businesses for Business type
/api/v1/partner/payouts/remittances/recipients/personals for Personal type
Recipients are the designated beneficiaries of a remittance transaction. They receive funds from the User (Sender) through the remittance network.
The platform supports remittance transactions to the following recipient account types:
Business
Required corporate information must be provided to ensure compliance with the remittance regulations of the destination country.
Personal
Required individual information must be provided to ensure compliance with the remittance regulations of the destination country.
📌
The recipient creation process in this endpoint is asynchronous.
This means that once the request is successfully submitted, the system accepts the data and initiates the recipient creation process in the background.
The initial response does not guarantee that the process is completed, it only confirms that the request has been received by the system.
The final status of the recipient creation can be checked through the status endpoint or via callback notification (if enabled).
This asynchronous approach ensures the system remains responsive and capable of handling a large volume of requests efficiently.
Recipient States
NoStatusDescription
1PENDINGRecipient is in the verification stage; risk evaluation is either still in progress or has produced an inconclusive result.
2ACTIVERecipient has successfully passed verification and is cleared for risk; remittance transactions with this recipient are enabled.
3REJECTEDRecipient has failed verification and is not cleared for risk; remittance transactions with this recipient are blocked.
Modified at 2025-10-29 12:26:52
Previous
History List
Next
Recipient Form
Built with